Bug 1733112 - clamav-update : wrong permissions on /etc/freshclam.conf preventing freshclam usage with authenticated proxy
Summary: clamav-update : wrong permissions on /etc/freshclam.conf preventing freshclam...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: clamav
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 08:59 UTC by it_support
Modified: 2019-08-15 18:51 UTC (History)
11 users (show)

Fixed In Version: clamav-0.101.3-1.el7 clamav-0.101.3-1.fc30 clamav-0.101.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-15 17:36:06 UTC


Attachments (Terms of Use)

Description it_support 2019-07-25 08:59:39 UTC
Description of problem:

file permission should be 600 on /etc/freshclam.conf

Version-Release number of selected component (if applicable):
clamav-update-0.101.2-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install clamav-update
2. watch file permissions : ll -alsZ /etc/freshclam.conf
-rw-r--r--. root root system_u:object_r:etc_t:s0       /etc/freshclam.conf
3. add proxy username and password using HTTPProxy* configuration options in freshclam.conf
4. launch "freshclam"

Actual results:
# freshclam
WARNING: Insecure permissions (for HTTPProxyPassword): /etc/freshclam.conf must have no more than 0700 permissions.
(freshclam not updating : seems more like an error than a warning)


Expected results:
no warning and freshclam really checking updates

Additional info:

Comment 1 Fedora Update System 2019-08-07 16:12:45 UTC
FEDORA-EPEL-2019-204f810692 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-204f810692

Comment 2 Fedora Update System 2019-08-07 16:12:47 UTC
FEDORA-2019-efb0df248c has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-efb0df248c

Comment 3 Fedora Update System 2019-08-07 16:12:49 UTC
FEDORA-2019-1c3fd1a4e0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1c3fd1a4e0

Comment 4 Fedora Update System 2019-08-08 01:36:49 UTC
clamav-0.101.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1c3fd1a4e0

Comment 5 Fedora Update System 2019-08-08 02:00:46 UTC
clamav-0.101.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-204f810692

Comment 6 Fedora Update System 2019-08-08 02:56:46 UTC
clamav-0.101.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-efb0df248c

Comment 7 Fedora Update System 2019-08-15 17:36:06 UTC
clamav-0.101.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-08-15 18:09:48 UTC
clamav-0.101.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-08-15 18:51:53 UTC
clamav-0.101.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.